package org.apache.commons.lang3.text;

package .tmp;

import org.apache.commons.lang3.text.StrMatcher;

final class CharMatcher extends StrMatcher {
  private final char ch;
  
  CharMatcher(char ch) {
    this.ch = ch;
  }
  
  public int isMatch(char[] buffer, int pos, int bufferStart, int bufferEnd) {
    return (this.ch == buffer[pos]) ? 1 : 0;
  }
}
